/* GCompris
 *
 * Copyright (C) 2015 Bruno Coudoin <bruno.coudoin@gcompris.net>
 *
 * Authors:
 *   Bruno Coudoin <bruno.coudoin@gcompris.net> (GTK+ version)
 *   Pulkit Gupta <pulkitgenius@gmail.com> (Qt Quick port)
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, see <https://www.gnu.org/licenses/>.
 */
import QtQuick 2.6

QtObject {
   property string instruction: qsTr("Districts of Central Italy")
   property var levels: [
      {
         "pixmapfile" : "italy/central/background.png",
         "type" : "SHAPE_BACKGROUND_IMAGE"
      },
      {
         "pixmapfile" : "italy/central/massa-carrara.png",
         "toolTipText" : "Massa-Carrara",
         "x" : "0.199",
         "y" : "0.159"
      },
      {
         "pixmapfile" : "italy/central/lucca.png",
         "toolTipText" : "Lucca",
         "x" : "0.259",
         "y" : "0.213"
      },
      {
         "pixmapfile" : "italy/central/pistoia.png",
         "toolTipText" : "Pistoia",
         "x" : "0.313",
         "y" : "0.225"
      },
      {
         "pixmapfile" : "italy/central/prato.png",
         "toolTipText" : "Prato",
         "x" : "0.343",
         "y" : "0.239"
      },
      {
         "pixmapfile" : "italy/central/firenze.png",
         "toolTipText" : "Firenze",
         "x" : "0.358",
         "y" : "0.262"
      },
      {
         "pixmapfile" : "italy/central/pisa.png",
         "toolTipText" : "Pisa",
         "x" : "0.283",
         "y" : "0.355"
      },
      {
         "pixmapfile" : "italy/central/livorno.png",
         "toolTipText" : "Livorno",
         "x" : "0.235",
         "y" : "0.48"
      },
      {
         "pixmapfile" : "italy/central/arezzo.png",
         "toolTipText" : "Arezzo",
         "x" : "0.447",
         "y" : "0.334"
      },
      {
         "pixmapfile" : "italy/central/siena.png",
         "toolTipText" : "Siena",
         "x" : "0.389",
         "y" : "0.43"
      },
      {
         "pixmapfile" : "italy/central/grosseto.png",
         "toolTipText" : "Grosseto",
         "x" : "0.36",
         "y" : "0.539"
      },
      {
         "pixmapfile" : "italy/central/terni.png",
         "toolTipText" : "Terni",
         "x" : "0.512",
         "y" : "0.561"
      },
      {
         "pixmapfile" : "italy/central/perugia.png",
         "toolTipText" : "Perugia",
         "x" : "0.537",
         "y" : "0.446"
      },
      {
         "pixmapfile" : "italy/central/pesaro-urbino.png",
         "toolTipText" : "Pesaro-Urbino",
         "x" : "0.55",
         "y" : "0.296"
      },
      {
         "pixmapfile" : "italy/central/ancona.png",
         "toolTipText" : "Ancona",
         "x" : "0.617",
         "y" : "0.35"
      },
      {
         "pixmapfile" : "italy/central/macerata.png",
         "toolTipText" : "Macerata",
         "x" : "0.63",
         "y" : "0.426"
      },
      {
         "pixmapfile" : "italy/central/fermo.png",
         "toolTipText" : "Fermo",
         "x" : "0.663",
         "y" : "0.447"
      },
      {
         "pixmapfile" : "italy/central/ascoli_piceno.png",
         "toolTipText" : "Ascoli_Piceno",
         "x" : "0.665",
         "y" : "0.499"
      },
      {
         "pixmapfile" : "italy/central/viterbo.png",
         "toolTipText" : "Viterbo",
         "x" : "0.459",
         "y" : "0.6"
      },
      {
         "pixmapfile" : "italy/central/rieti.png",
         "toolTipText" : "Rieti",
         "x" : "0.583",
         "y" : "0.621"
      },
      {
         "pixmapfile" : "italy/central/roma.png",
         "toolTipText" : "Roma",
         "x" : "0.528",
         "y" : "0.756"
      },
      {
         "pixmapfile" : "italy/central/frosinone.png",
         "toolTipText" : "Frosinone",
         "x" : "0.658",
         "y" : "0.82"
      },
      {
         "pixmapfile" : "italy/central/latina.png",
         "toolTipText" : "Latina",
         "x" : "0.62",
         "y" : "0.858"
      },
      {
         "pixmapfile" : "italy/central/teramo.png",
         "toolTipText" : "Teramo",
         "x" : "0.689",
         "y" : "0.556"
      },
      {
         "pixmapfile" : "italy/central/pescara.png",
         "toolTipText" : "Pescara",
         "x" : "0.723",
         "y" : "0.643"
      },
      {
         "pixmapfile" : "italy/central/chieti.png",
         "toolTipText" : "Chieti",
         "x" : "0.777",
         "y" : "0.696"
      },
      {
         "pixmapfile" : "italy/central/l_aquila.png",
         "toolTipText" : "L_Aquila",
         "x" : "0.676",
         "y" : "0.685"
      }
   ]
}
